summaryrefslogtreecommitdiffstats
path: root/Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh
diff options
context:
space:
mode:
Diffstat (limited to 'Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh')
-rw-r--r--Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh b/Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh
new file mode 100644
index 0000000..f7c95ac
--- /dev/null
+++ b/Monitoring/MonitoringTool/PacketTracking/netview/launcher/netview.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+NVHOME="./nvhome"
+
+SCRIPT=`readlink -f $0`
+JARDIR=`dirname $SCRIPT`
+
+if [ ! -z $1 ]; then
+ NVHOME="$1"
+fi
+
+if [ ! -e $NVHOME ]; then
+ mkdir -p $NVHOME
+fi
+
+cd $NVHOME
+java -jar $JARDIR/netview.jar
+